ArticleGroup_GetAll
GET
/v1/articlegroups
const url = 'https://rms.dev.caspeco.net/api/booking/v1/articlegroups';const options = {method: 'GET', headers: {system: 'example', Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://rms.dev.caspeco.net/api/booking/v1/articlegroups \ --header 'Authorization: Bearer <token>' \ --header 'system: example'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Query Parameters
Section titled “Query Parameters”CentralArticleType
string
NotRelevantForCheckout
boolean
CentralKeys
Array<string>
Top
integer format: int32
Skip
integer format: int32
OrderBy
Array<object>
object
columnName
string
sortDirection
integer
Filter
string
ReadOnlyParameters
object
key
additional properties
string
Sparse
boolean
SearchQueryString
string
Responses
Section titled “Responses”Media typeapplication/json
Array<object>
object
name
string
sortOrder
integer format: int32
hidden
boolean
isRestaurants
boolean
onePerGuest
boolean
notRelevantForCheckout
boolean
id
integer format: int64
accountNumber
integer format: int32
accountVat25
string
accountVat12
string
accountVat06
string
accountVat00
string
accountCostOfGoods
string
colorIndex
integer format: int32
color
string
type
integer
centralKey
string
changeDate
string format: date-time
Example
[ { "type": 0 }]